org.jgroups.protocols

## Class FD.Broadcaster

- java.lang.Object
- - org.jgroups.protocols.FD.Broadcaster

Enclosing class:
  FD

    protected final class FD.Broadcaster
    extends java.lang.Object

Task that periodically broadcasts a list of suspected members to the group. Goal is not to lose a SUSPECT message: since these are bcast unreliably, they might get dropped. The BroadcastTask makes sure they are retransmitted until a view has been received which doesn't contain the suspected members any longer. Then the task terminates.

### Constructor Summary

Constructors
`protected` `FD.Broadcaster()`

### Method Summary

Methods
`protected void` `addSuspectedMember(Address mbr)` Adds a suspected member.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FD.Broadcaster

    protected FD.Broadcaster()

### Method Detail

#### addSuspectedMember

    protected void addSuspectedMember(Address mbr)

Adds a suspected member. Starts the task if not yet running